tsdep.plot {POT} | R Documentation

## Diagnostic for Dependence within Time Series Extremes

### Description

A diagnostic tool to assess for short range asymptotic dependence within a stationary time series.

### Usage

    tsdep.plot(data, u, ..., xlab, ylab, n.boot = 100, show.lines = TRUE,
    lag.max, ci = 0.95, block.size = 5 * lag.max, angle = 90, arrow.length =
    0.1)

### Arguments

`data` | The time series observations.
`u` | The threshold.
`...` | Optional arguments to be passed to the `plot` function.
`xlab,ylab` | The x and y-axis labels.
`n.boot` | Numeric. The number of replicates to compute the bootstrap confidence interval.
`show.lines` | Logical. If `TRUE` (the default), the theoretical lines for the asymptotic dependence and “near” independence are drawn.
`lag.max` | The maximum lag to be explored - may be missing.
`ci` | The level for the bootstrap confidence interval. The default is the 95% confidence interval.
`block.size` | The size for the contiguous bootstrap approach.
`angle` | The angle at the end of the error bar. If `0`, error bars are only segments.
`arrow.length` | The length to be passed in the function `arrows`.

### Details

Let `X_t` be a stationary sequence of unit Frechet random variables. By stationarity, the joint survivor function Fbar_tau(.,.) of (X_t, X_{t+tau}) does not depend on t.

One parametric representation for Fbar_tau(.,.) is given by

Fbar_tau(s,s) = L_tau(x) s^{-1/eta_tau}

for some parameter eta_tau in (0,1] and a slowly varying function L_tau.

The Lambda_tau statistic is defined by

Lambda_tau = 2 eta_tau - 1

This statistic belongs to (-1,1] and is a measure of extremal dependence. Lambda_tau = 1 corresponds to asymptotic dependence, 0 < Lambda_tau < 1 to positive extremal association, Lambda_tau = 0 to “near” independence and Lambda_tau < 0 to negative extremal association.

### Value

This function plot the Lambda_tau statictics against the lag. Bootstrap confidence intervals are also drawn. The function returns invisibly this statistic and the confidence bounds.

### Author(s)

Mathieu Ribatet

### References

Ledford, A. and Tawn, J. (2003) Diagnostics for dependence within time series extremes. L. R. Statist. Soc. B. 65, Part 2, 521–543.

Ledford, A. and Tawn, J (1996) Statistics for near independence in multivariate extreme values. Biometrika 83 169–187.

### See Also

`chimeas`, `tailind.test`

### Examples

    ##An independent case
    tsdep.plot(runif(5000), u = 0.95, lag.max = 5)
    ##Asymptotic dependence
    mc <- simmc(5000, alpha = 0.2)
    tsdep.plot(mc, u = 0.95, lag.max = 5)

[Package POT version 1.1-7 Index]